part of dartgl_debug;

var onBefore = (String name) {
  
};

var onAfter = (String name) {
  //print(name);
  checkGlError(name);
};


Map<int, String> _errors = { GL_NO_ERROR: "GL_NO_ERROR",
                             GL_INVALID_ENUM: "GL_INVALID_ENUM",
                             GL_INVALID_VALUE: "GL_INVALID_VALUE",
                             GL_INVALID_OPERATION: "GL_INVALID_OPERATION",
                             GL_INVALID_FRAMEBUFFER_OPERATION: "GL_INVALID_FRAMEBUFFER_OPERATION",
                             GL_OUT_OF_MEMORY: "GL_OUT_OF_MEMORY",
                             GL_STACK_UNDERFLOW: "GL_STACK_UNDERFLOW",
                             GL_STACK_OVERFLOW: "GL_STACK_OVERFLOW"};

void checkGlError(String name){
  var error = 0;
    do {
    var error = nglGetError();
    if (error != GL_NO_ERROR){
      print('OpenGL error ${_errors[error]} in method $name');
    }
    
  } while(error != GL_NO_ERROR);
}